# Class JavaIndexer

java.lang.Object
org.eclipse.jdt.core.index.JavaIndexer

public final class JavaIndexer extends Object
`JavaIndexer` provides functionality to generate index files which can be used by the JDT `SearchEngine`. The generated index files can be used as a classpath attribute for the particular classpath entry.

The search engine indexes all the elements referred in the classpath entries of the project into index files. These index files are used to search the elements faster. Indexing for bigger jars could take some time. To avoid this time, one can generate the index file and specify it when the jar is added to the classpath of the project.

Since:
  3.8

## Constructor Summary

Constructors
Constructor
Description
`JavaIndexer()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`generateIndexForJar(String pathToJar, String pathToIndexFile)`
Generates the index file for the specified jar.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaIndexer

public JavaIndexer()

## Method Details

### generateIndexForJar

public static void generateIndexForJar(String pathToJar, String pathToIndexFile) throws IOException
Generates the index file for the specified jar.

Parameters:
  `pathToJar` - The full path to the jar that needs to be indexed
  `pathToIndexFile` - The full path to the index file that needs to be generated
Throws:
  `IOException` - if the jar is not found or could not write into the index file
Since:
  3.8